#include "GBasic.h"
#include "kw.h"

static const char program[] =
"400 PRINT '    LUNAR LANDER    '\n"
"450 PRINT '     1974,BASIC     '\n"
"460 PRINT '--------------------'\n"
"470 T=0:H=1000:V=50:F=150:B=0\n"
"490 PRINT 'H=';H;' V=';V;' FUEL=';F\n"
"500 INPUT 'ENTER FUEL? ' B\n"
"510 IF B<0 THEN 650\n"
"530 IF B>F THEN B=F\n"
"540 W=V-B+5\n"
"560 F=F-B\n"
"570 H=H-(V+W)/2\n"
"580 IF H<1 THEN GOTO 670\n"
"590 T=T+1\n"
"600 V=W\n"
"610 IF F>0 THEN GOTO 490\n"
"615 IF B=0 THEN GOTO 640\n"
"620 PRINT ' ** OUT OF FUEL **'\n"
"640 PRINT 'H=';H;' V=';V;' FUEL=';F\n"
"650 B=0\n"
"660 GOTO 540\n"
"670 PRINT ' *** CONTACT ***  '\n"
"680 H=H+(W+V)/2\n"
"690 IF B=5 THEN GOTO 720\n"
"700 D=(-V+SQR(V*V+H*(10-2*B)))/(5-B)\n"
"710 GOTO 730\n"
"720 D=H/V\n"
"730 W=V+(5-B)*D\n"
"760 PRINT 'TOUCHDOWN AT ';T+D;' SEC'\n"
"770 PRINT 'VELOCITY=';W;' F/SEC.'\n"
"790 IF W#0 THEN GOTO 810\n"
"800 PRINT 'A PERFECT LANDING!!'\n"
"810 IF ABS(W)<2 THEN GOTO 900\n"
"815 IF W>49 THEN PRINT 'IN MEMORY OF ...   ': GOTO 900\n"
"816 IF W>29 & W<50 THEN PRINT 'MADE A NEW CRATER! ': GOTO 900\n"
"817 IF W>9 & W<30 THEN PRINT 'A HEAP OF JUNK.... ': GOTO 900\n"
"818 IF W>5 & W<10 THEN PRINT 'YOU SHIP IS BROKEN!': GOTO 900\n"
"820 PRINT 'SOFT LANDING!'\n"
"900 END\n"
;

// -----------------------------------------------------------
int main()
{
	Fu_Init();

	GFML_Init(program);

	for (; !GFML_Finished(); ) 
		GFML_Run();

	return 0;
}
// -----------------------------------------------------------
